> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Broadcast Transaction

> [Deprecated] Sends a transaction and waits until transaction is fully complete. (Has a 10 second timeout). Consider using send_tx instead.



## OpenAPI

````yaml /openapi.json post /broadcast_tx_commit
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /broadcast_tx_commit:
    post:
      summary: Broadcast Transaction
      description: >-
        [Deprecated] Sends a transaction and waits until transaction is fully
        complete. (Has a 10 second timeout). Consider using send_tx instead.
      operationId: broadcast_tx_commit
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonRpcRequest_for_broadcast_tx_commit'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError
components:
  schemas:
    JsonRpcRequest_for_broadcast_tx_commit:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - broadcast_tx_commit
          type: string
        params:
          $ref: '#/components/schemas/RpcSendTransactionRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_broadcast_tx_commit
      type: object
    JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError
      type: object
    RpcSendTransactionRequest:
      properties:
        signed_tx_base64:
          $ref: '#/components/schemas/SignedTransaction'
        wait_until:
          allOf:
            - $ref: '#/components/schemas/TxExecutionStatus'
          default: EXECUTED_OPTIMISTIC
      required:
        - signed_tx_base64
      title: RpcSendTransactionRequest
      type: object
    JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcTransactionResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcTransactionResponse_and_RpcTransactionError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError'
      required:
        - error
      type: object
    SignedTransaction:
      format: byte
      type: string
    TxExecutionStatus:
      oneOf:
        - $ref: '#/components/schemas/TxExecutionStatus_variant0'
        - $ref: '#/components/schemas/TxExecutionStatus_variant1'
        - $ref: '#/components/schemas/TxExecutionStatus_variant2'
        - $ref: '#/components/schemas/TxExecutionStatus_variant3'
        - $ref: '#/components/schemas/TxExecutionStatus_variant4'
        - $ref: '#/components/schemas/TxExecutionStatus_variant5'
    RpcTransactionResponse:
      anyOf:
        - $ref: '#/components/schemas/FinalExecutionOutcomeWithReceiptView'
        - $ref: '#/components/schemas/FinalExecutionOutcomeView'
        - $ref: '#/components/schemas/RpcTransactionResponse_variant2'
      properties:
        final_execution_status:
          $ref: '#/components/schemas/TxExecutionStatus'
      required:
        - final_execution_status
      type: object
    ErrorWrapper_for_RpcTransactionError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError_variant2'
    TxExecutionStatus_variant0:
      description: Transaction is waiting to be included into the block
      enum:
        - NONE
      type: string
    TxExecutionStatus_variant1:
      description: >-
        Transaction is included into the block. The block may be not finalized
        yet
      enum:
        - INCLUDED
      type: string
    TxExecutionStatus_variant2:
      description: >-
        Transaction is included into the block +

        All non-refund transaction receipts finished their execution.

        The corresponding blocks for tx and each receipt may be not finalized
        yet
      enum:
        - EXECUTED_OPTIMISTIC
      type: string
    TxExecutionStatus_variant3:
      description: Transaction is included into finalized block
      enum:
        - INCLUDED_FINAL
      type: string
    TxExecutionStatus_variant4:
      description: |-
        Transaction is included into finalized block +
        All non-refund transaction receipts finished their execution.
        The corresponding blocks for each receipt may be not finalized yet
      enum:
        - EXECUTED
      type: string
    TxExecutionStatus_variant5:
      description: >-
        Transaction is included into finalized block +

        Execution of all transaction receipts is finalized, including refund
        receipts
      enum:
        - FINAL
      type: string
    FinalExecutionOutcomeWithReceiptView:
      description: >-
        Final execution outcome of the transaction and all of subsequent the
        receipts. Also includes

        the generated receipt.
      properties:
        receipts:
          description: Receipts generated from the transaction
          items:
            $ref: '#/components/schemas/ReceiptView'
          type: array
        receipts_outcome:
          description: The execution outcome of receipts.
          items:
            $ref: '#/components/schemas/ExecutionOutcomeWithIdView'
          type: array
        status:
          allOf:
            - $ref: '#/components/schemas/FinalExecutionStatus'
          description: >-
            Execution status defined by chain.rs:get_final_transaction_result

            FinalExecutionStatus::NotStarted - the tx is not converted to the
            receipt yet

            FinalExecutionStatus::Started - we have at least 1 receipt, but the
            first leaf receipt_id (using dfs) hasn't finished the execution

            FinalExecutionStatus::Failure - the result of the first leaf
            receipt_id

            FinalExecutionStatus::SuccessValue - the result of the first leaf
            receipt_id
        transaction:
          allOf:
            - $ref: '#/components/schemas/SignedTransactionView'
          description: Signed Transaction
        transaction_outcome:
          allOf:
            - $ref: '#/components/schemas/ExecutionOutcomeWithIdView'
          description: The execution outcome of the signed transaction.
      required:
        - status
        - transaction
        - transaction_outcome
        - receipts_outcome
        - receipts
      type: object
    FinalExecutionOutcomeView:
      description: |-
        Execution outcome of the transaction and all the subsequent receipts.
        Could be not finalized yet
      properties:
        receipts_outcome:
          description: The execution outcome of receipts.
          items:
            $ref: '#/components/schemas/ExecutionOutcomeWithIdView'
          type: array
        status:
          allOf:
            - $ref: '#/components/schemas/FinalExecutionStatus'
          description: >-
            Execution status defined by chain.rs:get_final_transaction_result

            FinalExecutionStatus::NotStarted - the tx is not converted to the
            receipt yet

            FinalExecutionStatus::Started - we have at least 1 receipt, but the
            first leaf receipt_id (using dfs) hasn't finished the execution

            FinalExecutionStatus::Failure - the result of the first leaf
            receipt_id

            FinalExecutionStatus::SuccessValue - the result of the first leaf
            receipt_id
        transaction:
          allOf:
            - $ref: '#/components/schemas/SignedTransactionView'
          description: Signed Transaction
        transaction_outcome:
          allOf:
            - $ref: '#/components/schemas/ExecutionOutcomeWithIdView'
          description: The execution outcome of the signed transaction.
      required:
        - status
        - transaction
        - transaction_outcome
        - receipts_outcome
      type: object
    RpcTransactionResponse_variant2: {}
    ErrorWrapper_for_RpcTransactionError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcTransactionError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcTransactionError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcTransactionError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ReceiptView:
      properties:
        predecessor_id:
          $ref: '#/components/schemas/AccountId'
        priority:
          default: 0
          description: Deprecated, retained for backward compatibility.
          format: uint64
          minimum: 0
          type: integer
        receipt:
          $ref: '#/components/schemas/ReceiptEnumView'
        receipt_id:
          $ref: '#/components/schemas/CryptoHash'
        receiver_id:
          $ref: '#/components/schemas/AccountId'
      required:
        - predecessor_id
        - receiver_id
        - receipt_id
        - receipt
      type: object
    ExecutionOutcomeWithIdView:
      properties:
        block_hash:
          $ref: '#/components/schemas/CryptoHash'
        id:
          $ref: '#/components/schemas/CryptoHash'
        outcome:
          $ref: '#/components/schemas/ExecutionOutcomeView'
        proof:
          items:
            $ref: '#/components/schemas/MerklePathItem'
          type: array
      required:
        - proof
        - block_hash
        - id
        - outcome
      type: object
    FinalExecutionStatus:
      anyOf:
        - $ref: '#/components/schemas/FinalExecutionStatus_variant0'
        - $ref: '#/components/schemas/FinalExecutionStatus_variant1'
        - $ref: '#/components/schemas/FinalExecutionStatus_variant2'
        - $ref: '#/components/schemas/FinalExecutionStatus_variant3'
    SignedTransactionView:
      properties:
        actions:
          items:
            $ref: '#/components/schemas/ActionView'
          type: array
        hash:
          $ref: '#/components/schemas/CryptoHash'
        nonce:
          format: uint64
          minimum: 0
          type: integer
        nonce_index:
          format: uint16
          maximum: 65535
          minimum: 0
          nullable: true
          type: integer
        priority_fee:
          default: 0
          description: Deprecated, retained for backward compatibility.
          format: uint64
          minimum: 0
          type: integer
        public_key:
          $ref: '#/components/schemas/PublicKey'
        receiver_id:
          $ref: '#/components/schemas/AccountId'
        signature:
          $ref: '#/components/schemas/Signature'
        signer_id:
          $ref: '#/components/schemas/AccountId'
      required:
        - signer_id
        - public_key
        - nonce
        - receiver_id
        - actions
        - signature
        - hash
      type: object
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcTransactionError:
      oneOf:
        - $ref: '#/components/schemas/RpcTransactionError_variant0'
        - $ref: '#/components/schemas/RpcTransactionError_variant1'
        - $ref: '#/components/schemas/RpcTransactionError_variant2'
        - $ref: '#/components/schemas/RpcTransactionError_variant3'
        - $ref: '#/components/schemas/RpcTransactionError_variant4'
        - $ref: '#/components/schemas/RpcTransactionError_variant5'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    ReceiptEnumView:
      oneOf:
        - $ref: '#/components/schemas/ReceiptEnumView_variant0'
        - $ref: '#/components/schemas/ReceiptEnumView_variant1'
        - $ref: '#/components/schemas/ReceiptEnumView_variant2'
    CryptoHash:
      type: string
    ExecutionOutcomeView:
      properties:
        executor_id:
          allOf:
            - $ref: '#/components/schemas/AccountId'
          description: >-
            The id of the account on which the execution happens. For
            transaction this is signer_id,

            for receipt this is receiver_id.
        gas_burnt:
          allOf:
            - $ref: '#/components/schemas/NearGas'
          description: The amount of the gas burnt by the given transaction or receipt.
        logs:
          description: Logs from this transaction or receipt.
          items:
            type: string
          type: array
        metadata:
          allOf:
            - $ref: '#/components/schemas/ExecutionMetadataView'
          default:
            version: 1
          description: Execution metadata, versioned
        receipt_ids:
          description: Receipt IDs generated by this transaction or receipt.
          items:
            $ref: '#/components/schemas/CryptoHash'
          type: array
        status:
          allOf:
            - $ref: '#/components/schemas/ExecutionStatusView'
          description: >-
            Execution status. Contains the result in case of successful
            execution.
        tokens_burnt:
          allOf:
            - $ref: '#/components/schemas/NearToken'
          description: >-
            The amount of tokens burnt corresponding to the burnt gas amount.

            This value doesn't always equal to the `gas_burnt` multiplied by the
            gas price, because

            the prepaid gas price might be lower than the actual gas price and
            it creates a deficit.

            `tokens_burnt` also contains the penalty subtracted from refunds,
            while

            `gas_burnt` only contains the gas that we actually burn for the
            execution.
      required:
        - logs
        - receipt_ids
        - gas_burnt
        - tokens_burnt
        - executor_id
        - status
      type: object
    MerklePathItem:
      properties:
        direction:
          $ref: '#/components/schemas/Direction'
        hash:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - hash
        - direction
      type: object
    FinalExecutionStatus_variant0:
      description: The execution has not yet started.
      enum:
        - NotStarted
      type: string
    FinalExecutionStatus_variant1:
      description: The execution has started and still going.
      enum:
        - Started
      type: string
    FinalExecutionStatus_variant2:
      additionalProperties: false
      description: The execution has failed with the given error.
      properties:
        Failure:
          $ref: '#/components/schemas/TxExecutionError'
      required:
        - Failure
      type: object
    FinalExecutionStatus_variant3:
      additionalProperties: false
      description: >-
        The execution has succeeded and returned some value or an empty vec
        encoded in base64.
      properties:
        SuccessValue:
          type: string
      required:
        - SuccessValue
      type: object
    ActionView:
      anyOf:
        - $ref: '#/components/schemas/ActionView_variant0'
        - $ref: '#/components/schemas/ActionView_variant1'
        - $ref: '#/components/schemas/ActionView_variant2'
        - $ref: '#/components/schemas/ActionView_variant3'
        - $ref: '#/components/schemas/ActionView_variant4'
        - $ref: '#/components/schemas/ActionView_variant5'
        - $ref: '#/components/schemas/ActionView_variant6'
        - $ref: '#/components/schemas/ActionView_variant7'
        - $ref: '#/components/schemas/ActionView_variant8'
        - $ref: '#/components/schemas/ActionView_variant9'
        - $ref: '#/components/schemas/ActionView_variant10'
        - $ref: '#/components/schemas/ActionView_variant11'
        - $ref: '#/components/schemas/ActionView_variant12'
        - $ref: '#/components/schemas/ActionView_variant13'
        - $ref: '#/components/schemas/ActionView_variant14'
        - $ref: '#/components/schemas/ActionView_variant15'
    PublicKey:
      type: string
    Signature:
      type: string
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant0:
      properties:
        info:
          type: object
        name:
          enum:
            - INVALID_TRANSACTION
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant1:
      properties:
        name:
          enum:
            - DOES_NOT_TRACK_SHARD
          type: string
      required:
        - name
      type: object
    RpcTransactionError_variant2:
      properties:
        info:
          properties:
            transaction_hash:
              $ref: '#/components/schemas/CryptoHash'
          required:
            - transaction_hash
          type: object
        name:
          enum:
            - REQUEST_ROUTED
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant3:
      properties:
        info:
          properties:
            requested_transaction_hash:
              $ref: '#/components/schemas/CryptoHash'
          required:
            - requested_transaction_hash
          type: object
        name:
          enum:
            - UNKNOWN_TRANSACTION
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant4:
      properties:
        info:
          properties:
            debug_info:
              type: string
          required:
            - debug_info
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcTransactionError_variant5:
      properties:
        name:
          enum:
            - TIMEOUT_ERROR
          type: string
      required:
        - name
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    ReceiptEnumView_variant0:
      additionalProperties: false
      properties:
        Action:
          properties:
            actions:
              items:
                $ref: '#/components/schemas/ActionView'
              type: array
            gas_price:
              $ref: '#/components/schemas/NearToken'
            input_data_ids:
              items:
                $ref: '#/components/schemas/CryptoHash'
              type: array
            is_promise_yield:
              default: false
              type: boolean
            output_data_receivers:
              items:
                $ref: '#/components/schemas/DataReceiverView'
              type: array
            refund_to:
              anyOf:
                - $ref: '#/components/schemas/AccountId'
                - enum:
                    - null
                  nullable: true
            signer_id:
              $ref: '#/components/schemas/AccountId'
            signer_public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - signer_id
            - signer_public_key
            - gas_price
            - output_data_receivers
            - input_data_ids
            - actions
          type: object
      required:
        - Action
      type: object
    ReceiptEnumView_variant1:
      additionalProperties: false
      properties:
        Data:
          properties:
            data:
              default: null
              nullable: true
              type: string
            data_id:
              $ref: '#/components/schemas/CryptoHash'
            is_promise_resume:
              default: false
              type: boolean
          required:
            - data_id
          type: object
      required:
        - Data
      type: object
    ReceiptEnumView_variant2:
      additionalProperties: false
      properties:
        GlobalContractDistribution:
          properties:
            already_delivered_shards:
              items:
                $ref: '#/components/schemas/ShardId'
              type: array
            code:
              type: string
            id:
              $ref: '#/components/schemas/GlobalContractIdentifier'
            nonce:
              format: uint64
              minimum: 0
              nullable: true
              type: integer
            target_shard:
              $ref: '#/components/schemas/ShardId'
          required:
            - id
            - target_shard
            - already_delivered_shards
            - code
          type: object
      required:
        - GlobalContractDistribution
      type: object
    NearGas:
      format: uint64
      minimum: 0
      type: integer
    ExecutionMetadataView:
      properties:
        gas_profile:
          items:
            $ref: '#/components/schemas/CostGasUsed'
          nullable: true
          type: array
        version:
          format: uint32
          minimum: 0
          type: integer
      required:
        - version
      type: object
    ExecutionStatusView:
      anyOf:
        - $ref: '#/components/schemas/ExecutionStatusView_variant0'
        - $ref: '#/components/schemas/ExecutionStatusView_variant1'
        - $ref: '#/components/schemas/ExecutionStatusView_variant2'
        - $ref: '#/components/schemas/ExecutionStatusView_variant3'
    NearToken:
      type: string
    Direction:
      enum:
        - Left
        - Right
      type: string
    TxExecutionError:
      description: Error returned in the ExecutionOutcome in case of failure
      oneOf:
        - $ref: '#/components/schemas/TxExecutionError_variant0'
        - $ref: '#/components/schemas/TxExecutionError_variant1'
    ActionView_variant0:
      enum:
        - CreateAccount
      type: string
    ActionView_variant1:
      additionalProperties: false
      properties:
        DeployContract:
          properties:
            code:
              format: bytes
              type: string
          required:
            - code
          type: object
      required:
        - DeployContract
      type: object
    ActionView_variant2:
      additionalProperties: false
      properties:
        FunctionCall:
          properties:
            args:
              $ref: '#/components/schemas/FunctionArgs'
            deposit:
              $ref: '#/components/schemas/NearToken'
            gas:
              $ref: '#/components/schemas/NearGas'
            method_name:
              type: string
          required:
            - method_name
            - args
            - gas
            - deposit
          type: object
      required:
        - FunctionCall
      type: object
    ActionView_variant3:
      additionalProperties: false
      properties:
        Transfer:
          properties:
            deposit:
              $ref: '#/components/schemas/NearToken'
          required:
            - deposit
          type: object
      required:
        - Transfer
      type: object
    ActionView_variant4:
      additionalProperties: false
      properties:
        Stake:
          properties:
            public_key:
              $ref: '#/components/schemas/PublicKey'
            stake:
              $ref: '#/components/schemas/NearToken'
          required:
            - stake
            - public_key
          type: object
      required:
        - Stake
      type: object
    ActionView_variant5:
      additionalProperties: false
      properties:
        AddKey:
          properties:
            access_key:
              $ref: '#/components/schemas/AccessKeyView'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - public_key
            - access_key
          type: object
      required:
        - AddKey
      type: object
    ActionView_variant6:
      additionalProperties: false
      properties:
        DeleteKey:
          properties:
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - public_key
          type: object
      required:
        - DeleteKey
      type: object
    ActionView_variant7:
      additionalProperties: false
      properties:
        DeleteAccount:
          properties:
            beneficiary_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - beneficiary_id
          type: object
      required:
        - DeleteAccount
      type: object
    ActionView_variant8:
      additionalProperties: false
      properties:
        Delegate:
          properties:
            delegate_action:
              $ref: '#/components/schemas/DelegateAction'
            signature:
              $ref: '#/components/schemas/Signature'
          required:
            - delegate_action
            - signature
          type: object
      required:
        - Delegate
      type: object
    ActionView_variant9:
      additionalProperties: false
      properties:
        DeployGlobalContract:
          properties:
            code:
              format: bytes
              type: string
          required:
            - code
          type: object
      required:
        - DeployGlobalContract
      type: object
    ActionView_variant10:
      additionalProperties: false
      properties:
        DeployGlobalContractByAccountId:
          properties:
            code:
              format: bytes
              type: string
          required:
            - code
          type: object
      required:
        - DeployGlobalContractByAccountId
      type: object
    ActionView_variant11:
      additionalProperties: false
      properties:
        UseGlobalContract:
          properties:
            code_hash:
              $ref: '#/components/schemas/CryptoHash'
          required:
            - code_hash
          type: object
      required:
        - UseGlobalContract
      type: object
    ActionView_variant12:
      additionalProperties: false
      properties:
        UseGlobalContractByAccountId:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - UseGlobalContractByAccountId
      type: object
    ActionView_variant13:
      additionalProperties: false
      properties:
        DeterministicStateInit:
          properties:
            code:
              $ref: '#/components/schemas/GlobalContractIdentifierView'
            data:
              additionalProperties:
                type: string
              type: object
            deposit:
              $ref: '#/components/schemas/NearToken'
          required:
            - code
            - data
            - deposit
          type: object
      required:
        - DeterministicStateInit
      type: object
    ActionView_variant14:
      additionalProperties: false
      properties:
        TransferToGasKey:
          properties:
            deposit:
              $ref: '#/components/schemas/NearToken'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - public_key
            - deposit
          type: object
      required:
        - TransferToGasKey
      type: object
    ActionView_variant15:
      additionalProperties: false
      properties:
        WithdrawFromGasKey:
          properties:
            amount:
              $ref: '#/components/schemas/NearToken'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - public_key
            - amount
          type: object
      required:
        - WithdrawFromGasKey
      type: object
    DataReceiverView:
      properties:
        data_id:
          $ref: '#/components/schemas/CryptoHash'
        receiver_id:
          $ref: '#/components/schemas/AccountId'
      required:
        - data_id
        - receiver_id
      type: object
    ShardId:
      description: >-
        The shard identifier. It may be an arbitrary number - it does not need
        to be

        a number in the range 0..NUM_SHARDS. The shard ids do not need to be

        sequential or contiguous.


        The shard id is wrapped in a new type to prevent the old pattern of
        using

        indices in range 0..NUM_SHARDS and casting to ShardId. Once the
        transition

        if fully complete it potentially may be simplified to a regular type
        alias.
      format: uint64
      minimum: 0
      type: integer
    GlobalContractIdentifier:
      oneOf:
        - $ref: '#/components/schemas/GlobalContractIdentifier_variant0'
        - $ref: '#/components/schemas/GlobalContractIdentifier_variant1'
    CostGasUsed:
      description: >-
        Shows gas profile. More info
        [here](https://near.github.io/nearcore/architecture/gas/gas_profile.html?highlight=WASM_HOST_COST#example-transaction-gas-profile).
      properties:
        cost:
          type: string
        cost_category:
          description: Either ACTION_COST or WASM_HOST_COST.
          type: string
        gas_used:
          type: string
      required:
        - cost_category
        - cost
        - gas_used
      type: object
    ExecutionStatusView_variant0:
      description: The execution is pending or unknown.
      enum:
        - Unknown
      type: string
    ExecutionStatusView_variant1:
      additionalProperties: false
      description: The execution has failed.
      properties:
        Failure:
          $ref: '#/components/schemas/TxExecutionError'
      required:
        - Failure
      type: object
    ExecutionStatusView_variant2:
      additionalProperties: false
      description: >-
        The final action succeeded and returned some value or an empty vec
        encoded in base64.
      properties:
        SuccessValue:
          type: string
      required:
        - SuccessValue
      type: object
    ExecutionStatusView_variant3:
      additionalProperties: false
      description: >-
        The final action of the receipt returned a promise or the signed
        transaction was converted

        to a receipt. Contains the receipt_id of the generated receipt.
      properties:
        SuccessReceiptId:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - SuccessReceiptId
      type: object
    TxExecutionError_variant0:
      additionalProperties: false
      description: An error happened during Action execution
      properties:
        ActionError:
          $ref: '#/components/schemas/ActionError'
      required:
        - ActionError
      type: object
    TxExecutionError_variant1:
      additionalProperties: false
      description: An error happened during Transaction execution
      properties:
        InvalidTxError:
          $ref: '#/components/schemas/InvalidTxError'
      required:
        - InvalidTxError
      type: object
    FunctionArgs:
      description: >-
        This type is used to mark function arguments.


        NOTE: The main reason for this to exist (except the type-safety) is that
        the value is

        transparently serialized and deserialized as a base64-encoded string
        when serde is used

        (serde_json).
      format: bytes
      type: string
    AccessKeyView:
      description: Describes access key permission scope and nonce.
      properties:
        nonce:
          format: uint64
          minimum: 0
          type: integer
        permission:
          $ref: '#/components/schemas/AccessKeyPermissionView'
      required:
        - nonce
        - permission
      type: object
    DelegateAction:
      description: >-
        This action allows to execute the inner actions behalf of the defined
        sender.
      properties:
        actions:
          description: >-
            List of actions to be executed.


            With the meta transactions MVP defined in NEP-366, nested

            DelegateActions are not allowed. A separate type is used to enforce
            it.
          items:
            $ref: '#/components/schemas/NonDelegateAction'
          type: array
        max_block_height:
          description: >-
            The maximal height of the block in the blockchain below which the
            given DelegateAction is valid.
          format: uint64
          minimum: 0
          type: integer
        nonce:
          description: |-
            Nonce to ensure that the same delegate action is not sent twice by a
            relayer and should match for given account's `public_key`.
            After this action is processed it will increment.
          format: uint64
          minimum: 0
          type: integer
        public_key:
          allOf:
            - $ref: '#/components/schemas/PublicKey'
          description: Public key used to sign this delegated action.
        receiver_id:
          allOf:
            - $ref: '#/components/schemas/AccountId'
          description: Receiver of the delegated actions.
        sender_id:
          allOf:
            - $ref: '#/components/schemas/AccountId'
          description: Signer of the delegated actions
      required:
        - sender_id
        - receiver_id
        - actions
        - nonce
        - max_block_height
        - public_key
      type: object
    GlobalContractIdentifierView:
      oneOf:
        - $ref: '#/components/schemas/GlobalContractIdentifierView_variant0'
        - $ref: '#/components/schemas/GlobalContractIdentifierView_variant1'
    GlobalContractIdentifier_variant0:
      additionalProperties: false
      properties:
        CodeHash:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - CodeHash
      type: object
    GlobalContractIdentifier_variant1:
      additionalProperties: false
      properties:
        AccountId:
          $ref: '#/components/schemas/AccountId'
      required:
        - AccountId
      type: object
    ActionError:
      description: An error happened during Action execution
      properties:
        index:
          description: >-
            Index of the failed action in the transaction.

            Action index is not defined if ActionError.kind is
            `ActionErrorKind::LackBalanceForState`
          format: uint64
          minimum: 0
          nullable: true
          type: integer
        kind:
          allOf:
            - $ref: '#/components/schemas/ActionErrorKind'
          description: The kind of ActionError happened
      required:
        - kind
      type: object
    InvalidTxError:
      description: An error happened during TX execution
      anyOf:
        - $ref: '#/components/schemas/InvalidTxError_variant0'
        - $ref: '#/components/schemas/InvalidTxError_variant1'
        - $ref: '#/components/schemas/InvalidTxError_variant2'
        - $ref: '#/components/schemas/InvalidTxError_variant3'
        - $ref: '#/components/schemas/InvalidTxError_variant4'
        - $ref: '#/components/schemas/InvalidTxError_variant5'
        - $ref: '#/components/schemas/InvalidTxError_variant6'
        - $ref: '#/components/schemas/InvalidTxError_variant7'
        - $ref: '#/components/schemas/InvalidTxError_variant8'
        - $ref: '#/components/schemas/InvalidTxError_variant9'
        - $ref: '#/components/schemas/InvalidTxError_variant10'
        - $ref: '#/components/schemas/InvalidTxError_variant11'
        - $ref: '#/components/schemas/InvalidTxError_variant12'
        - $ref: '#/components/schemas/InvalidTxError_variant13'
        - $ref: '#/components/schemas/InvalidTxError_variant14'
        - $ref: '#/components/schemas/InvalidTxError_variant15'
        - $ref: '#/components/schemas/InvalidTxError_variant16'
        - $ref: '#/components/schemas/InvalidTxError_variant17'
        - $ref: '#/components/schemas/InvalidTxError_variant18'
        - $ref: '#/components/schemas/InvalidTxError_variant19'
        - $ref: '#/components/schemas/InvalidTxError_variant20'
    AccessKeyPermissionView:
      description: >-
        Describes the permission scope for an access key. Whether it is a
        function call or a full access key.
      anyOf:
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant0'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant1'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant2'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant3'
    NonDelegateAction:
      description: >-
        An Action that can be included in a transaction or receipt, excluding
        delegate actions. This type represents all possible action types except
        DelegateAction to prevent infinite recursion in meta-transactions.
      oneOf:
        - $ref: '#/components/schemas/NonDelegateAction_variant0'
        - $ref: '#/components/schemas/NonDelegateAction_variant1'
        - $ref: '#/components/schemas/NonDelegateAction_variant2'
        - $ref: '#/components/schemas/NonDelegateAction_variant3'
        - $ref: '#/components/schemas/NonDelegateAction_variant4'
        - $ref: '#/components/schemas/NonDelegateAction_variant5'
        - $ref: '#/components/schemas/NonDelegateAction_variant6'
        - $ref: '#/components/schemas/NonDelegateAction_variant7'
        - $ref: '#/components/schemas/NonDelegateAction_variant8'
        - $ref: '#/components/schemas/NonDelegateAction_variant9'
        - $ref: '#/components/schemas/NonDelegateAction_variant10'
        - $ref: '#/components/schemas/NonDelegateAction_variant11'
        - $ref: '#/components/schemas/NonDelegateAction_variant12'
    GlobalContractIdentifierView_variant0:
      additionalProperties: false
      properties:
        hash:
          $ref: '#/components/schemas/CryptoHash'
      required:
        - hash
      type: object
    GlobalContractIdentifierView_variant1:
      additionalProperties: false
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
      required:
        - account_id
      type: object
    ActionErrorKind:
      anyOf:
        - $ref: '#/components/schemas/ActionErrorKind_variant0'
        - $ref: '#/components/schemas/ActionErrorKind_variant1'
        - $ref: '#/components/schemas/ActionErrorKind_variant2'
        - $ref: '#/components/schemas/ActionErrorKind_variant3'
        - $ref: '#/components/schemas/ActionErrorKind_variant4'
        - $ref: '#/components/schemas/ActionErrorKind_variant5'
        - $ref: '#/components/schemas/ActionErrorKind_variant6'
        - $ref: '#/components/schemas/ActionErrorKind_variant7'
        - $ref: '#/components/schemas/ActionErrorKind_variant8'
        - $ref: '#/components/schemas/ActionErrorKind_variant9'
        - $ref: '#/components/schemas/ActionErrorKind_variant10'
        - $ref: '#/components/schemas/ActionErrorKind_variant11'
        - $ref: '#/components/schemas/ActionErrorKind_variant12'
        - $ref: '#/components/schemas/ActionErrorKind_variant13'
        - $ref: '#/components/schemas/ActionErrorKind_variant14'
        - $ref: '#/components/schemas/ActionErrorKind_variant15'
        - $ref: '#/components/schemas/ActionErrorKind_variant16'
        - $ref: '#/components/schemas/ActionErrorKind_variant17'
        - $ref: '#/components/schemas/ActionErrorKind_variant18'
        - $ref: '#/components/schemas/ActionErrorKind_variant19'
        - $ref: '#/components/schemas/ActionErrorKind_variant20'
        - $ref: '#/components/schemas/ActionErrorKind_variant21'
        - $ref: '#/components/schemas/ActionErrorKind_variant22'
        - $ref: '#/components/schemas/ActionErrorKind_variant23'
        - $ref: '#/components/schemas/ActionErrorKind_variant24'
        - $ref: '#/components/schemas/ActionErrorKind_variant25'
    InvalidTxError_variant0:
      additionalProperties: false
      description: >-
        Happens if a wrong AccessKey used or AccessKey has not enough
        permissions
      properties:
        InvalidAccessKeyError:
          $ref: '#/components/schemas/InvalidAccessKeyError'
      required:
        - InvalidAccessKeyError
      type: object
    InvalidTxError_variant1:
      additionalProperties: false
      description: TX signer_id is not a valid [`AccountId`]
      properties:
        InvalidSignerId:
          properties:
            signer_id:
              type: string
          required:
            - signer_id
          type: object
      required:
        - InvalidSignerId
      type: object
    InvalidTxError_variant2:
      additionalProperties: false
      description: TX signer_id is not found in a storage
      properties:
        SignerDoesNotExist:
          properties:
            signer_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - signer_id
          type: object
      required:
        - SignerDoesNotExist
      type: object
    InvalidTxError_variant3:
      additionalProperties: false
      description: >-
        Transaction nonce must be strictly greater than
        `account[access_key].nonce`.
      properties:
        InvalidNonce:
          properties:
            ak_nonce:
              format: uint64
              minimum: 0
              type: integer
            tx_nonce:
              format: uint64
              minimum: 0
              type: integer
          required:
            - tx_nonce
            - ak_nonce
          type: object
      required:
        - InvalidNonce
      type: object
    InvalidTxError_variant4:
      additionalProperties: false
      description: >-
        Transaction nonce is larger than the upper bound given by the block
        height
      properties:
        NonceTooLarge:
          properties:
            tx_nonce:
              format: uint64
              minimum: 0
              type: integer
            upper_bound:
              format: uint64
              minimum: 0
              type: integer
          required:
            - tx_nonce
            - upper_bound
          type: object
      required:
        - NonceTooLarge
      type: object
    InvalidTxError_variant5:
      additionalProperties: false
      description: TX receiver_id is not a valid AccountId
      properties:
        InvalidReceiverId:
          properties:
            receiver_id:
              type: string
          required:
            - receiver_id
          type: object
      required:
        - InvalidReceiverId
      type: object
    InvalidTxError_variant6:
      description: TX signature is not valid
      enum:
        - InvalidSignature
      type: string
    InvalidTxError_variant7:
      additionalProperties: false
      description: Account does not have enough balance to cover TX cost
      properties:
        NotEnoughBalance:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            cost:
              $ref: '#/components/schemas/NearToken'
            signer_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - signer_id
            - balance
            - cost
          type: object
      required:
        - NotEnoughBalance
      type: object
    InvalidTxError_variant8:
      additionalProperties: false
      description: Signer account doesn't have enough balance after transaction.
      properties:
        LackBalanceForState:
          properties:
            amount:
              allOf:
                - $ref: '#/components/schemas/NearToken'
              description: Required balance to cover the state.
            signer_id:
              allOf:
                - $ref: '#/components/schemas/AccountId'
              description: An account which doesn't have enough balance to cover storage.
          required:
            - signer_id
            - amount
          type: object
      required:
        - LackBalanceForState
      type: object
    InvalidTxError_variant9:
      description: An integer overflow occurred during transaction cost estimation.
      enum:
        - CostOverflow
      type: string
    InvalidTxError_variant10:
      description: Transaction parent block hash doesn't belong to the current chain
      enum:
        - InvalidChain
      type: string
    InvalidTxError_variant11:
      description: Transaction has expired
      enum:
        - Expired
      type: string
    InvalidTxError_variant12:
      additionalProperties: false
      description: An error occurred while validating actions of a Transaction.
      properties:
        ActionsValidation:
          $ref: '#/components/schemas/ActionsValidationError'
      required:
        - ActionsValidation
      type: object
    InvalidTxError_variant13:
      additionalProperties: false
      description: The size of serialized transaction exceeded the limit.
      properties:
        TransactionSizeExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            size:
              format: uint64
              minimum: 0
              type: integer
          required:
            - size
            - limit
          type: object
      required:
        - TransactionSizeExceeded
      type: object
    InvalidTxError_variant14:
      description: Transaction version is invalid.
      enum:
        - InvalidTransactionVersion
      type: string
    InvalidTxError_variant15:
      additionalProperties: false
      properties:
        StorageError:
          $ref: '#/components/schemas/StorageError'
      required:
        - StorageError
      type: object
    InvalidTxError_variant16:
      additionalProperties: false
      description: |-
        The receiver shard of the transaction is too congested to accept new
        transactions at the moment.
      properties:
        ShardCongested:
          properties:
            congestion_level:
              description: A value between 0 (no congestion) and 1 (max congestion).
              format: double
              type: number
            shard_id:
              description: The congested shard.
              format: uint32
              minimum: 0
              type: integer
          required:
            - shard_id
            - congestion_level
          type: object
      required:
        - ShardCongested
      type: object
    InvalidTxError_variant17:
      additionalProperties: false
      description: |-
        The receiver shard of the transaction missed several chunks and rejects
        new transaction until it can make progress again.
      properties:
        ShardStuck:
          properties:
            missed_chunks:
              description: The number of blocks since the last included chunk of the shard.
              format: uint64
              minimum: 0
              type: integer
            shard_id:
              description: The shard that fails making progress.
              format: uint32
              minimum: 0
              type: integer
          required:
            - shard_id
            - missed_chunks
          type: object
      required:
        - ShardStuck
      type: object
    InvalidTxError_variant18:
      additionalProperties: false
      description: |-
        Transaction is specifying an invalid nonce index. Gas key transactions
        must have a nonce_index in valid range, regular transactions must not.
      properties:
        InvalidNonceIndex:
          properties:
            num_nonces:
              description: >-
                Number of nonces supported by the key. 0 means no nonce_index
                allowed (regular key).
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            tx_nonce_index:
              description: The nonce_index from the transaction (None if missing).
              format: uint16
              maximum: 65535
              minimum: 0
              nullable: true
              type: integer
          required:
            - num_nonces
          type: object
      required:
        - InvalidNonceIndex
      type: object
    InvalidTxError_variant19:
      additionalProperties: false
      description: Gas key does not have enough balance to cover gas costs.
      properties:
        NotEnoughGasKeyBalance:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            cost:
              $ref: '#/components/schemas/NearToken'
            signer_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - signer_id
            - balance
            - cost
          type: object
      required:
        - NotEnoughGasKeyBalance
      type: object
    InvalidTxError_variant20:
      additionalProperties: false
      description: >-
        Gas key transaction failed because the account could not cover the
        deposit cost.

        Gas is still charged from the gas key in this case.
      properties:
        NotEnoughBalanceForDeposit:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            cost:
              $ref: '#/components/schemas/NearToken'
            reason:
              $ref: '#/components/schemas/DepositCostFailureReason'
            signer_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - signer_id
            - balance
            - cost
            - reason
          type: object
      required:
        - NotEnoughBalanceForDeposit
      type: object
    AccessKeyPermissionView_variant0:
      enum:
        - FullAccess
      type: string
    AccessKeyPermissionView_variant1:
      additionalProperties: false
      properties:
        FunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            method_names:
              items:
                type: string
              type: array
            receiver_id:
              type: string
          required:
            - receiver_id
            - method_names
          type: object
      required:
        - FunctionCall
      type: object
    AccessKeyPermissionView_variant2:
      additionalProperties: false
      properties:
        GasKeyFunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            balance:
              $ref: '#/components/schemas/NearToken'
            method_names:
              items:
                type: string
              type: array
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            receiver_id:
              type: string
          required:
            - balance
            - num_nonces
            - receiver_id
            - method_names
          type: object
      required:
        - GasKeyFunctionCall
      type: object
    AccessKeyPermissionView_variant3:
      additionalProperties: false
      properties:
        GasKeyFullAccess:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
          required:
            - balance
            - num_nonces
          type: object
      required:
        - GasKeyFullAccess
      type: object
    NonDelegateAction_variant0:
      additionalProperties: false
      description: |-
        Create an (sub)account using a transaction `receiver_id` as an ID for
        a new account ID must pass validation rules described here
        <https://nomicon.io/DataStructures/Account>.
      properties:
        CreateAccount:
          $ref: '#/components/schemas/CreateAccountAction'
      required:
        - CreateAccount
      type: object
    NonDelegateAction_variant1:
      additionalProperties: false
      description: Sets a Wasm code to a receiver_id
      properties:
        DeployContract:
          $ref: '#/components/schemas/DeployContractAction'
      required:
        - DeployContract
      type: object
    NonDelegateAction_variant2:
      additionalProperties: false
      properties:
        FunctionCall:
          $ref: '#/components/schemas/FunctionCallAction'
      required:
        - FunctionCall
      type: object
    NonDelegateAction_variant3:
      additionalProperties: false
      properties:
        Transfer:
          $ref: '#/components/schemas/TransferAction'
      required:
        - Transfer
      type: object
    NonDelegateAction_variant4:
      additionalProperties: false
      properties:
        Stake:
          $ref: '#/components/schemas/StakeAction'
      required:
        - Stake
      type: object
    NonDelegateAction_variant5:
      additionalProperties: false
      properties:
        AddKey:
          $ref: '#/components/schemas/AddKeyAction'
      required:
        - AddKey
      type: object
    NonDelegateAction_variant6:
      additionalProperties: false
      properties:
        DeleteKey:
          $ref: '#/components/schemas/DeleteKeyAction'
      required:
        - DeleteKey
      type: object
    NonDelegateAction_variant7:
      additionalProperties: false
      properties:
        DeleteAccount:
          $ref: '#/components/schemas/DeleteAccountAction'
      required:
        - DeleteAccount
      type: object
    NonDelegateAction_variant8:
      additionalProperties: false
      properties:
        DeployGlobalContract:
          $ref: '#/components/schemas/DeployGlobalContractAction'
      required:
        - DeployGlobalContract
      type: object
    NonDelegateAction_variant9:
      additionalProperties: false
      properties:
        UseGlobalContract:
          $ref: '#/components/schemas/UseGlobalContractAction'
      required:
        - UseGlobalContract
      type: object
    NonDelegateAction_variant10:
      additionalProperties: false
      properties:
        DeterministicStateInit:
          $ref: '#/components/schemas/DeterministicStateInitAction'
      required:
        - DeterministicStateInit
      type: object
    NonDelegateAction_variant11:
      additionalProperties: false
      properties:
        TransferToGasKey:
          $ref: '#/components/schemas/TransferToGasKeyAction'
      required:
        - TransferToGasKey
      type: object
    NonDelegateAction_variant12:
      additionalProperties: false
      properties:
        WithdrawFromGasKey:
          $ref: '#/components/schemas/WithdrawFromGasKeyAction'
      required:
        - WithdrawFromGasKey
      type: object
    ActionErrorKind_variant0:
      additionalProperties: false
      description: >-
        Happens when CreateAccount action tries to create an account with
        account_id which is already exists in the storage
      properties:
        AccountAlreadyExists:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - AccountAlreadyExists
      type: object
    ActionErrorKind_variant1:
      additionalProperties: false
      description: >-
        Happens when TX receiver_id doesn't exist (but action is not
        Action::CreateAccount)
      properties:
        AccountDoesNotExist:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - AccountDoesNotExist
      type: object
    ActionErrorKind_variant2:
      additionalProperties: false
      description: A top-level account ID can only be created by registrar.
      properties:
        CreateAccountOnlyByRegistrar:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            predecessor_id:
              $ref: '#/components/schemas/AccountId'
            registrar_account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
            - registrar_account_id
            - predecessor_id
          type: object
      required:
        - CreateAccountOnlyByRegistrar
      type: object
    ActionErrorKind_variant3:
      additionalProperties: false
      description: A newly created account must be under a namespace of the creator account
      properties:
        CreateAccountNotAllowed:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            predecessor_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
            - predecessor_id
          type: object
      required:
        - CreateAccountNotAllowed
      type: object
    ActionErrorKind_variant4:
      additionalProperties: false
      description: >-
        Administrative actions like `DeployContract`, `Stake`, `AddKey`,
        `DeleteKey`. can be proceed only if sender=receiver

        or the first TX action is a `CreateAccount` action
      properties:
        ActorNoPermission:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            actor_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
            - actor_id
          type: object
      required:
        - ActorNoPermission
      type: object
    ActionErrorKind_variant5:
      additionalProperties: false
      description: Account tries to remove an access key that doesn't exist
      properties:
        DeleteKeyDoesNotExist:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
          type: object
      required:
        - DeleteKeyDoesNotExist
      type: object
    ActionErrorKind_variant6:
      additionalProperties: false
      description: The public key is already used for an existing access key
      properties:
        AddKeyAlreadyExists:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
          type: object
      required:
        - AddKeyAlreadyExists
      type: object
    ActionErrorKind_variant7:
      additionalProperties: false
      description: Account is staking and can not be deleted
      properties:
        DeleteAccountStaking:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - DeleteAccountStaking
      type: object
    ActionErrorKind_variant8:
      additionalProperties: false
      description: >-
        ActionReceipt can't be completed, because the remaining balance will not
        be enough to cover storage.
      properties:
        LackBalanceForState:
          properties:
            account_id:
              allOf:
                - $ref: '#/components/schemas/AccountId'
              description: An account which needs balance
            amount:
              allOf:
                - $ref: '#/components/schemas/NearToken'
              description: Balance required to complete an action.
          required:
            - account_id
            - amount
          type: object
      required:
        - LackBalanceForState
      type: object
    ActionErrorKind_variant9:
      additionalProperties: false
      description: Account is not yet staked, but tries to unstake
      properties:
        TriesToUnstake:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - TriesToUnstake
      type: object
    ActionErrorKind_variant10:
      additionalProperties: false
      description: The account doesn't have enough balance to increase the stake.
      properties:
        TriesToStake:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            balance:
              $ref: '#/components/schemas/NearToken'
            locked:
              $ref: '#/components/schemas/NearToken'
            stake:
              $ref: '#/components/schemas/NearToken'
          required:
            - account_id
            - stake
            - locked
            - balance
          type: object
      required:
        - TriesToStake
      type: object
    ActionErrorKind_variant11:
      additionalProperties: false
      properties:
        InsufficientStake:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            minimum_stake:
              $ref: '#/components/schemas/NearToken'
            stake:
              $ref: '#/components/schemas/NearToken'
          required:
            - account_id
            - stake
            - minimum_stake
          type: object
      required:
        - InsufficientStake
      type: object
    ActionErrorKind_variant12:
      additionalProperties: false
      description: >-
        An error occurred during a `FunctionCall` Action, parameter is debug
        message.
      properties:
        FunctionCallError:
          $ref: '#/components/schemas/FunctionCallError'
      required:
        - FunctionCallError
      type: object
    ActionErrorKind_variant13:
      additionalProperties: false
      description: >-
        Error occurs when a new `ActionReceipt` created by the `FunctionCall`
        action fails

        receipt validation.
      properties:
        NewReceiptValidationError:
          $ref: '#/components/schemas/ReceiptValidationError'
      required:
        - NewReceiptValidationError
      type: object
    ActionErrorKind_variant14:
      additionalProperties: false
      description: >-
        Error occurs when a `CreateAccount` action is called on a NEAR-implicit
        or ETH-implicit account.

        See NEAR-implicit account creation NEP:
        <https://github.com/nearprotocol/NEPs/pull/71>.

        Also, see ETH-implicit account creation NEP:
        <https://github.com/near/NEPs/issues/518>.


        TODO(#8598): This error is named very poorly. A better name would be

        `OnlyNamedAccountCreationAllowed`.
      properties:
        OnlyImplicitAccountCreationAllowed:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - OnlyImplicitAccountCreationAllowed
      type: object
    ActionErrorKind_variant15:
      additionalProperties: false
      description: Delete account whose state is large is temporarily banned.
      properties:
        DeleteAccountWithLargeState:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
      required:
        - DeleteAccountWithLargeState
      type: object
    ActionErrorKind_variant16:
      description: >-
        Signature does not match the provided actions and given signer public
        key.
      enum:
        - DelegateActionInvalidSignature
      type: string
    ActionErrorKind_variant17:
      additionalProperties: false
      description: Receiver of the transaction doesn't match Sender of the delegate action
      properties:
        DelegateActionSenderDoesNotMatchTxReceiver:
          properties:
            receiver_id:
              $ref: '#/components/schemas/AccountId'
            sender_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - sender_id
            - receiver_id
          type: object
      required:
        - DelegateActionSenderDoesNotMatchTxReceiver
      type: object
    ActionErrorKind_variant18:
      description: >-
        Delegate action has expired. `max_block_height` is less than actual
        block height.
      enum:
        - DelegateActionExpired
      type: string
    ActionErrorKind_variant19:
      additionalProperties: false
      description: The given public key doesn't exist for Sender account
      properties:
        DelegateActionAccessKeyError:
          $ref: '#/components/schemas/InvalidAccessKeyError'
      required:
        - DelegateActionAccessKeyError
      type: object
    ActionErrorKind_variant20:
      additionalProperties: false
      description: DelegateAction nonce must be greater sender[public_key].nonce
      properties:
        DelegateActionInvalidNonce:
          properties:
            ak_nonce:
              format: uint64
              minimum: 0
              type: integer
            delegate_nonce:
              format: uint64
              minimum: 0
              type: integer
          required:
            - delegate_nonce
            - ak_nonce
          type: object
      required:
        - DelegateActionInvalidNonce
      type: object
    ActionErrorKind_variant21:
      additionalProperties: false
      description: >-
        DelegateAction nonce is larger than the upper bound given by the block
        height
      properties:
        DelegateActionNonceTooLarge:
          properties:
            delegate_nonce:
              format: uint64
              minimum: 0
              type: integer
            upper_bound:
              format: uint64
              minimum: 0
              type: integer
          required:
            - delegate_nonce
            - upper_bound
          type: object
      required:
        - DelegateActionNonceTooLarge
      type: object
    ActionErrorKind_variant22:
      additionalProperties: false
      properties:
        GlobalContractDoesNotExist:
          properties:
            identifier:
              $ref: '#/components/schemas/GlobalContractIdentifier'
          required:
            - identifier
          type: object
      required:
        - GlobalContractDoesNotExist
      type: object
    ActionErrorKind_variant23:
      additionalProperties: false
      description: Gas key does not exist for the specified public key
      properties:
        GasKeyDoesNotExist:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
          type: object
      required:
        - GasKeyDoesNotExist
      type: object
    ActionErrorKind_variant24:
      additionalProperties: false
      description: Gas key does not have sufficient balance for the requested withdrawal
      properties:
        InsufficientGasKeyBalance:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            balance:
              $ref: '#/components/schemas/NearToken'
            public_key:
              $ref: '#/components/schemas/PublicKey'
            required:
              $ref: '#/components/schemas/NearToken'
          required:
            - account_id
            - public_key
            - balance
            - required
          type: object
      required:
        - InsufficientGasKeyBalance
      type: object
    ActionErrorKind_variant25:
      additionalProperties: false
      description: Gas key balance is too high to burn during deletion
      properties:
        GasKeyBalanceTooHigh:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            balance:
              $ref: '#/components/schemas/NearToken'
            public_key:
              anyOf:
                - $ref: '#/components/schemas/PublicKey'
                - enum:
                    - null
                  nullable: true
              description: >-
                Set for DeleteKey (specific key), None for DeleteAccount
                (aggregate)
          required:
            - account_id
            - balance
          type: object
      required:
        - GasKeyBalanceTooHigh
      type: object
    InvalidAccessKeyError:
      anyOf:
        - $ref: '#/components/schemas/InvalidAccessKeyError_variant0'
        - $ref: '#/components/schemas/InvalidAccessKeyError_variant1'
        - $ref: '#/components/schemas/InvalidAccessKeyError_variant2'
        - $ref: '#/components/schemas/InvalidAccessKeyError_variant3'
        - $ref: '#/components/schemas/InvalidAccessKeyError_variant4'
        - $ref: '#/components/schemas/InvalidAccessKeyError_variant5'
    ActionsValidationError:
      description: Describes the error for validating a list of actions.
      anyOf:
        - $ref: '#/components/schemas/ActionsValidationError_variant0'
        - $ref: '#/components/schemas/ActionsValidationError_variant1'
        - $ref: '#/components/schemas/ActionsValidationError_variant2'
        - $ref: '#/components/schemas/ActionsValidationError_variant3'
        - $ref: '#/components/schemas/ActionsValidationError_variant4'
        - $ref: '#/components/schemas/ActionsValidationError_variant5'
        - $ref: '#/components/schemas/ActionsValidationError_variant6'
        - $ref: '#/components/schemas/ActionsValidationError_variant7'
        - $ref: '#/components/schemas/ActionsValidationError_variant8'
        - $ref: '#/components/schemas/ActionsValidationError_variant9'
        - $ref: '#/components/schemas/ActionsValidationError_variant10'
        - $ref: '#/components/schemas/ActionsValidationError_variant11'
        - $ref: '#/components/schemas/ActionsValidationError_variant12'
        - $ref: '#/components/schemas/ActionsValidationError_variant13'
        - $ref: '#/components/schemas/ActionsValidationError_variant14'
        - $ref: '#/components/schemas/ActionsValidationError_variant15'
        - $ref: '#/components/schemas/ActionsValidationError_variant16'
        - $ref: '#/components/schemas/ActionsValidationError_variant17'
        - $ref: '#/components/schemas/ActionsValidationError_variant18'
        - $ref: '#/components/schemas/ActionsValidationError_variant19'
    StorageError:
      description: |-
        Errors which may occur during working with trie storages, storing
        trie values (trie nodes and state values) by their hashes.
      anyOf:
        - $ref: '#/components/schemas/StorageError_variant0'
        - $ref: '#/components/schemas/StorageError_variant1'
        - $ref: '#/components/schemas/StorageError_variant2'
        - $ref: '#/components/schemas/StorageError_variant3'
        - $ref: '#/components/schemas/StorageError_variant4'
        - $ref: '#/components/schemas/StorageError_variant5'
    DepositCostFailureReason:
      description: |-
        Reason why a gas key transaction failed at the deposit/account level.
        In these cases, gas is still charged from the gas key.
      enum:
        - NotEnoughBalance
        - LackBalanceForState
      type: string
    CreateAccountAction:
      description: Create account action
      type: object
    DeployContractAction:
      description: Deploy contract action
      properties:
        code:
          description: WebAssembly binary
          type: string
      required:
        - code
      type: object
    FunctionCallAction:
      properties:
        args:
          type: string
        deposit:
          $ref: '#/components/schemas/NearToken'
        gas:
          $ref: '#/components/schemas/NearGas'
        method_name:
          type: string
      required:
        - method_name
        - args
        - gas
        - deposit
      type: object
    TransferAction:
      properties:
        deposit:
          $ref: '#/components/schemas/NearToken'
      required:
        - deposit
      type: object
    StakeAction:
      description: An action which stakes signer_id tokens and setup's validator public key
      properties:
        public_key:
          allOf:
            - $ref: '#/components/schemas/PublicKey'
          description: >-
            Validator key which will be used to sign transactions on behalf of
            signer_id
        stake:
          allOf:
            - $ref: '#/components/schemas/NearToken'
          description: Amount of tokens to stake.
      required:
        - stake
        - public_key
      type: object
    AddKeyAction:
      description: An action that adds key with public key associated
      properties:
        access_key:
          allOf:
            - $ref: '#/components/schemas/AccessKey'
          description: An access key with the permission
        public_key:
          allOf:
            - $ref: '#/components/schemas/PublicKey'
          description: A public key which will be associated with an access_key
      required:
        - public_key
        - access_key
      type: object
    DeleteKeyAction:
      properties:
        public_key:
          allOf:
            - $ref: '#/components/schemas/PublicKey'
          description: A public key associated with the access_key to be deleted.
      required:
        - public_key
      type: object
    DeleteAccountAction:
      properties:
        beneficiary_id:
          $ref: '#/components/schemas/AccountId'
      required:
        - beneficiary_id
      type: object
    DeployGlobalContractAction:
      description: Deploy global contract action
      properties:
        code:
          description: WebAssembly binary
          type: string
        deploy_mode:
          $ref: '#/components/schemas/GlobalContractDeployMode'
      required:
        - code
        - deploy_mode
      type: object
    UseGlobalContractAction:
      description: Use global contract action
      properties:
        contract_identifier:
          $ref: '#/components/schemas/GlobalContractIdentifier'
      required:
        - contract_identifier
      type: object
    DeterministicStateInitAction:
      properties:
        deposit:
          $ref: '#/components/schemas/NearToken'
        state_init:
          $ref: '#/components/schemas/DeterministicAccountStateInit'
      required:
        - state_init
        - deposit
      type: object
    TransferToGasKeyAction:
      description: Transfer NEAR to a gas key's balance
      properties:
        deposit:
          allOf:
            - $ref: '#/components/schemas/NearToken'
          description: Amount of NEAR to transfer to the gas key
        public_key:
          allOf:
            - $ref: '#/components/schemas/PublicKey'
          description: The public key of the gas key to fund
      required:
        - public_key
        - deposit
      type: object
    WithdrawFromGasKeyAction:
      description: >-
        Withdraw NEAR from a gas key's balance to the account.


        This action must only be available via transactions, not via contract
        execution

        (there is no corresponding promise batch action host function).
      properties:
        amount:
          allOf:
            - $ref: '#/components/schemas/NearToken'
          description: Amount of NEAR to transfer from the gas key
        public_key:
          allOf:
            - $ref: '#/components/schemas/PublicKey'
          description: The public key of the gas key to withdraw from
      required:
        - public_key
        - amount
      type: object
    FunctionCallError:
      description: >-
        Serializable version of `near-vm-runner::FunctionCallError`.


        Must never reorder/remove elements, can only add new variants at the end
        (but do that very

        carefully). It describes stable serialization format, and only used by
        serialization logic.
      anyOf:
        - $ref: '#/components/schemas/FunctionCallError_variant0'
        - $ref: '#/components/schemas/FunctionCallError_variant1'
        - $ref: '#/components/schemas/FunctionCallError_variant2'
        - $ref: '#/components/schemas/FunctionCallError_variant3'
        - $ref: '#/components/schemas/FunctionCallError_variant4'
        - $ref: '#/components/schemas/FunctionCallError_variant5'
        - $ref: '#/components/schemas/FunctionCallError_variant6'
    ReceiptValidationError:
      description: Describes the error for validating a receipt.
      oneOf:
        - $ref: '#/components/schemas/ReceiptValidationError_variant0'
        - $ref: '#/components/schemas/ReceiptValidationError_variant1'
        - $ref: '#/components/schemas/ReceiptValidationError_variant2'
        - $ref: '#/components/schemas/ReceiptValidationError_variant3'
        - $ref: '#/components/schemas/ReceiptValidationError_variant4'
        - $ref: '#/components/schemas/ReceiptValidationError_variant5'
        - $ref: '#/components/schemas/ReceiptValidationError_variant6'
        - $ref: '#/components/schemas/ReceiptValidationError_variant7'
        - $ref: '#/components/schemas/ReceiptValidationError_variant8'
    InvalidAccessKeyError_variant0:
      additionalProperties: false
      description: >-
        The access key identified by the `public_key` doesn't exist for the
        account
      properties:
        AccessKeyNotFound:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
          type: object
      required:
        - AccessKeyNotFound
      type: object
    InvalidAccessKeyError_variant1:
      additionalProperties: false
      description: Transaction `receiver_id` doesn't match the access key receiver_id
      properties:
        ReceiverMismatch:
          properties:
            ak_receiver:
              type: string
            tx_receiver:
              $ref: '#/components/schemas/AccountId'
          required:
            - tx_receiver
            - ak_receiver
          type: object
      required:
        - ReceiverMismatch
      type: object
    InvalidAccessKeyError_variant2:
      additionalProperties: false
      description: Transaction method name isn't allowed by the access key
      properties:
        MethodNameMismatch:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
      required:
        - MethodNameMismatch
      type: object
    InvalidAccessKeyError_variant3:
      description: Transaction requires a full permission access key.
      enum:
        - RequiresFullAccess
      type: string
    InvalidAccessKeyError_variant4:
      additionalProperties: false
      description: Access Key does not have enough allowance to cover transaction cost
      properties:
        NotEnoughAllowance:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            allowance:
              $ref: '#/components/schemas/NearToken'
            cost:
              $ref: '#/components/schemas/NearToken'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
            - allowance
            - cost
          type: object
      required:
        - NotEnoughAllowance
      type: object
    InvalidAccessKeyError_variant5:
      description: >-
        Having a deposit with a function call action is not allowed with a
        function call access key.
      enum:
        - DepositWithFunctionCall
      type: string
    ActionsValidationError_variant0:
      description: The delete action must be a final action in transaction
      enum:
        - DeleteActionMustBeFinal
      type: string
    ActionsValidationError_variant1:
      additionalProperties: false
      description: The total prepaid gas (for all given actions) exceeded the limit.
      properties:
        TotalPrepaidGasExceeded:
          properties:
            limit:
              $ref: '#/components/schemas/NearGas'
            total_prepaid_gas:
              $ref: '#/components/schemas/NearGas'
          required:
            - total_prepaid_gas
            - limit
          type: object
      required:
        - TotalPrepaidGasExceeded
      type: object
    ActionsValidationError_variant2:
      additionalProperties: false
      description: The number of actions exceeded the given limit.
      properties:
        TotalNumberOfActionsExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            total_number_of_actions:
              format: uint64
              minimum: 0
              type: integer
          required:
            - total_number_of_actions
            - limit
          type: object
      required:
        - TotalNumberOfActionsExceeded
      type: object
    ActionsValidationError_variant3:
      additionalProperties: false
      description: >-
        The total number of bytes of the method names exceeded the limit in a
        Add Key action.
      properties:
        AddKeyMethodNamesNumberOfBytesExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            total_number_of_bytes:
              format: uint64
              minimum: 0
              type: integer
          required:
            - total_number_of_bytes
            - limit
          type: object
      required:
        - AddKeyMethodNamesNumberOfBytesExceeded
      type: object
    ActionsValidationError_variant4:
      additionalProperties: false
      description: The length of some method name exceeded the limit in a Add Key action.
      properties:
        AddKeyMethodNameLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - AddKeyMethodNameLengthExceeded
      type: object
    ActionsValidationError_variant5:
      description: Integer overflow during a compute.
      enum:
        - IntegerOverflow
      type: string
    ActionsValidationError_variant6:
      additionalProperties: false
      description: Invalid account ID.
      properties:
        InvalidAccountId:
          properties:
            account_id:
              type: string
          required:
            - account_id
          type: object
      required:
        - InvalidAccountId
      type: object
    ActionsValidationError_variant7:
      additionalProperties: false
      description: >-
        The size of the contract code exceeded the limit in a DeployContract
        action.
      properties:
        ContractSizeExceeded:
          properties:
            limit:
              format: uint64
              minimum: 0
              type: integer
            size:
              format: uint64
              minimum: 0
              type: integer
          required:
            - size
            - limit
          type: object
      required:
        - ContractSizeExceeded
      type: object
    ActionsValidationError_variant8:
      additionalProperties: false
      description: >-
        The length of the method name exceeded the limit in a Function Call
        action.
      properties:
        FunctionCallMethodNameLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - FunctionCallMethodNameLengthExceeded
      type: object
    ActionsValidationError_variant9:
      additionalProperties: false
      description: >-
        The length of the arguments exceeded the limit in a Function Call
        action.
      properties:
        FunctionCallArgumentsLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - FunctionCallArgumentsLengthExceeded
      type: object
    ActionsValidationError_variant10:
      additionalProperties: false
      description: >-
        An attempt to stake with a public key that is not convertible to
        ristretto.
      properties:
        UnsuitableStakingKey:
          properties:
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - public_key
          type: object
      required:
        - UnsuitableStakingKey
      type: object
    ActionsValidationError_variant11:
      description: >-
        The attached amount of gas in a FunctionCall action has to be a positive
        number.
      enum:
        - FunctionCallZeroAttachedGas
      type: string
    ActionsValidationError_variant12:
      description: There should be the only one DelegateAction
      enum:
        - DelegateActionMustBeOnlyOne
      type: string
    ActionsValidationError_variant13:
      additionalProperties: false
      description: |-
        The transaction includes a feature that the current protocol version
        does not support.

        Note: we stringify the protocol feature name instead of using
        `ProtocolFeature` here because we don't want to leak the internals of
        that type into observable borsh serialization.
      properties:
        UnsupportedProtocolFeature:
          properties:
            protocol_feature:
              type: string
            version:
              format: uint32
              minimum: 0
              type: integer
          required:
            - protocol_feature
            - version
          type: object
      required:
        - UnsupportedProtocolFeature
      type: object
    ActionsValidationError_variant14:
      additionalProperties: false
      properties:
        InvalidDeterministicStateInitReceiver:
          properties:
            derived_id:
              $ref: '#/components/schemas/AccountId'
            receiver_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - receiver_id
            - derived_id
          type: object
      required:
        - InvalidDeterministicStateInitReceiver
      type: object
    ActionsValidationError_variant15:
      additionalProperties: false
      properties:
        DeterministicStateInitKeyLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - DeterministicStateInitKeyLengthExceeded
      type: object
    ActionsValidationError_variant16:
      additionalProperties: false
      properties:
        DeterministicStateInitValueLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
              type: integer
          required:
            - length
            - limit
          type: object
      required:
        - DeterministicStateInitValueLengthExceeded
      type: object
    ActionsValidationError_variant17:
      additionalProperties: false
      properties:
        GasKeyInvalidNumNonces:
          properties:
            limit:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            requested_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
          required:
            - requested_nonces
            - limit
          type: object
      required:
        - GasKeyInvalidNumNonces
      type: object
    ActionsValidationError_variant18:
      additionalProperties: false
      properties:
        AddGasKeyWithNonZeroBalance:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
          required:
            - balance
          type: object
      required:
        - AddGasKeyWithNonZeroBalance
      type: object
    ActionsValidationError_variant19:
      description: Gas keys with FunctionCall permission cannot have an allowance set.
      enum:
        - GasKeyFunctionCallAllowanceNotAllowed
      type: string
    StorageError_variant0:
      description: Key-value db internal failure
      enum:
        - StorageInternalError
      type: string
    StorageError_variant1:
      additionalProperties: false
      description: Requested trie value by its hash which is missing in storage.
      properties:
        MissingTrieValue:
          $ref: '#/components/schemas/MissingTrieValue'
      required:
        - MissingTrieValue
      type: object
    StorageError_variant2:
      description: |-
        Found trie node which shouldn't be part of state. Raised during
        validation of state sync parts where incorrect node was passed.
        TODO (#8997): consider including hash of trie node.
      enum:
        - UnexpectedTrieValue
      type: string
    StorageError_variant3:
      additionalProperties: false
      description: >-
        Either invalid state or key-value db is corrupted.

        For PartialStorage it cannot be corrupted.

        Error message is unreliable and for debugging purposes only. It's also
        probably ok to

        panic in every place that produces this error.

        We can check if db is corrupted by verifying everything in the state
        trie.
      properties:
        StorageInconsistentState:
          type: string
      required:
        - StorageInconsistentState
      type: object
    StorageError_variant4:
      additionalProperties: false
      description: |-
        Flat storage error, meaning that it doesn't support some block anymore.
        We guarantee that such block cannot become final, thus block processing
        must resume normally.
      properties:
        FlatStorageBlockNotSupported:
          type: string
      required:
        - FlatStorageBlockNotSupported
      type: object
    StorageError_variant5:
      additionalProperties: false
      description: In-memory trie could not be loaded for some reason.
      properties:
        MemTrieLoadingError:
          type: string
      required:
        - MemTrieLoadingError
      type: object
    AccessKey:
      description: >-
        Access key provides limited access to an account. Each access key
        belongs to some account and

        is identified by a unique (within the account) public key. One account
        may have large number of

        access keys. Access keys allow to act on behalf of the account by
        restricting transactions

        that can be issued.

        `account_id,public_key` is a key in the state
      properties:
        nonce:
          description: >-
            Nonce for this access key, used for tx nonce generation. When access
            key is created, nonce

            is set to `(block_height - 1) * 1e6` to avoid tx hash collision on
            access key re-creation.

            See <https://github.com/near/nearcore/issues/3779> for more details.
          format: uint64
          minimum: 0
          type: integer
        permission:
          allOf:
            - $ref: '#/components/schemas/AccessKeyPermission'
          description: Defines permissions for this access key.
      required:
        - nonce
        - permission
      type: object
    GlobalContractDeployMode:
      oneOf:
        - $ref: '#/components/schemas/GlobalContractDeployMode_variant0'
        - $ref: '#/components/schemas/GlobalContractDeployMode_variant1'
    DeterministicAccountStateInit:
      oneOf:
        - $ref: '#/components/schemas/DeterministicAccountStateInit_variant0'
    FunctionCallError_variant0:
      enum:
        - WasmUnknownError
        - _EVMError
      type: string
    FunctionCallError_variant1:
      additionalProperties: false
      description: Wasm compilation error
      properties:
        CompilationError:
          $ref: '#/components/schemas/CompilationError'
      required:
        - CompilationError
      type: object
    FunctionCallError_variant2:
      additionalProperties: false
      description: >-
        Wasm binary env link error


        Note: this is only to deserialize old data, use execution error for new
        data
      properties:
        LinkError:
          properties:
            msg:
              type: string
          required:
            - msg
          type: object
      required:
        - LinkError
      type: object
    FunctionCallError_variant3:
      additionalProperties: false
      description: Import/export resolve error
      properties:
        MethodResolveError:
          $ref: '#/components/schemas/MethodResolveError'
      required:
        - MethodResolveError
      type: object
    FunctionCallError_variant4:
      additionalProperties: false
      description: >-
        A trap happened during execution of a binary


        Note: this is only to deserialize old data, use execution error for new
        data
      properties:
        WasmTrap:
          $ref: '#/components/schemas/WasmTrap'
      required:
        - WasmTrap
      type: object
    FunctionCallError_variant5:
      additionalProperties: false
      description: >-
        Note: this is only to deserialize old data, use execution error for new
        data
      properties:
        HostError:
          $ref: '#/components/schemas/HostError'
      required:
        - HostError
      type: object
    FunctionCallError_variant6:
      additionalProperties: false
      properties:
        ExecutionError:
          type: string
      required:
        - ExecutionError
      type: object
    ReceiptValidationError_variant0:
      additionalProperties: false
      description: The `predecessor_id` of a Receipt is not valid.
      properties:
        InvalidPredecessorId:
          properties:
            account_id:
              type: string
          required:
            - account_id
          type: object
      required:
        - InvalidPredecessorId
      type: object
    ReceiptValidationError_variant1:
      additionalProperties: false
      description: The `receiver_id` of a Receipt is not valid.
      properties:
        InvalidReceiverId:
          properties:
            account_id:
              type: string
          required:
            - account_id
          type: object
      required:
        - InvalidReceiverId
      type: object
    ReceiptValidationError_variant2:
      additionalProperties: false
      description: The `signer_id` of an ActionReceipt is not valid.
      properties:
        InvalidSignerId:
          properties:
            account_id:
              type: string
          required:
            - account_id
          type: object
      required:
        - InvalidSignerId
      type: object
    ReceiptValidationError_variant3:
      additionalProperties: false
      description: >-
        The `receiver_id` of a DataReceiver within an ActionReceipt is not
        valid.
      properties:
        InvalidDataReceiverId:
          properties:
            account_id:
              type: string
          required:
            - account_id
          type: object
      required:
        - InvalidDataReceiverId
      type: object
    ReceiptValidationError_variant4:
      additionalProperties: false
      description: The length of the returned data exceeded the limit in a DataReceipt.
      properties:
        ReturnedValueLengthExceeded:
          properties:
            length:
              format: uint64
              minimum: 0
              type: integer
            limit:
              format: uint64
              minimum: 0
[...]
